[arch-commits] CVS update of arch/build/network/firefox (2 files)

Alexander Baldeck alexander at archlinux.org
Thu May 17 15:30:11 UTC 2007


    Date: Thursday, May 17, 2007 @ 11:30:11
  Author: alexander
    Path: /home/cvs-arch/arch/build/network/firefox

   Added: firefox-bug-380558-arch.patch (1.1)
Modified: PKGBUILD (1.7 -> 1.8)

included updated powertop patch


-------------------------------+
 PKGBUILD                      |   10 ++++----
 firefox-bug-380558-arch.patch |   45 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+), 5 deletions(-)


Index: arch/build/network/firefox/PKGBUILD
diff -u arch/build/network/firefox/PKGBUILD:1.7 arch/build/network/firefox/PKGBUILD:1.8
--- arch/build/network/firefox/PKGBUILD:1.7	Sun May 13 23:04:29 2007
+++ arch/build/network/firefox/PKGBUILD	Thu May 17 11:30:10 2007
@@ -1,10 +1,10 @@
-# $Id: PKGBUILD,v 1.7 2007/05/14 03:04:29 alexander Exp $
+# $Id: PKGBUILD,v 1.8 2007/05/17 15:30:10 alexander Exp $
 # Maintainer: Dale Blount <dale at archlinux.org>
 # Contributer: Nick Penwarden <toth64 at yahoo.com>
 
 pkgname=firefox
 pkgver=2.0.0.3
-pkgrel=2
+pkgrel=3
 pkgdesc="Standalone web browser from mozilla.org"
 arch=(i686 x86_64)
 depends=('gtk2>=2.10.11' 'pango>=1.16.1' 'gcc' 'libxt' 'libidl2' 'mozilla-common' 'nss>=3.11.5' 'desktop-file-utils')
@@ -29,7 +29,7 @@
 	firefox-2.0-buildversion.patch
         firefox.desktop
 	firefox-safe.desktop
-	http://www.linuxpowertop.org/patches/firefox-2.0.patch)
+        firefox-bug-380558-arch.patch)
 	
 build() {
   cd ${startdir}/src/mozilla
@@ -44,7 +44,7 @@
   patch -Np0 -i ${startdir}/src/firefox-2.0-add-ldflags.patch || return 1
   patch -Np0 -i ${startdir}/src/firefox-2.0-buildversion.patch || return 1
 
-  patch -Np1 -i ${startdir}/src/firefox-2.0.patch || return 1
+  patch -Np0 -i ${startdir}/src/firefox-bug-380558-arch.patch || return 1
 
   if [ "$CARCH" = "x86_64" ]; then
     patch -Np0 -i ../firefox-visibility.patch || return 1
@@ -94,4 +94,4 @@
          '362f9e0b0f25b964f7120b68fb629ee0' '60b4bbe73d2e919ee4a6476dca6705b6'\
          '288fb7db871700ff5cf7286db6192b45' '25f355113cdee6800380c6e1a4cd38f0'\
          '11b221ff41078d97c131e17361072e47' '74ea70c9e935f0e7f7b75436fe33efd5'\
-         '5e68cabfcf3c021806b326f664ac505e' '8875b2f21a14ffe51108ac94767854c0')
+         '5e68cabfcf3c021806b326f664ac505e' 'c05e67bf531c7b8046126d1e9bb25980')
Index: arch/build/network/firefox/firefox-bug-380558-arch.patch
diff -u /dev/null arch/build/network/firefox/firefox-bug-380558-arch.patch:1.1
--- /dev/null	Thu May 17 11:30:10 2007
+++ arch/build/network/firefox/firefox-bug-380558-arch.patch	Thu May 17 11:30:11 2007
@@ -0,0 +1,45 @@
+--- security/manager/ssl/src/nsCertVerificationThread.cpp	2006-04-14 02:07:18.000000000 +0400
++++ security/manager/ssl/src/nsCertVerificationThread.cpp.new	2007-05-15 17:03:21.000000000 +0400
+@@ -123,12 +123,8 @@
+   return NS_OK;
+ }
+ 
+-#define CONDITION_WAIT_TIME PR_TicksPerSecond() / 4
+-  
+ void nsCertVerificationThread::Run(void)
+ {
+-  const PRIntervalTime wait_time = CONDITION_WAIT_TIME;
+-
+   while (PR_TRUE) {
+ 
+     nsBaseVerificationJob *job = nsnull;
+@@ -139,7 +135,7 @@
+       while (!mExitRequested && (0 == verification_thread_singleton->mJobQ.GetSize())) {
+         // no work to do ? let's wait a moment
+ 
+-        PR_WaitCondVar(mCond, wait_time);
++        PR_WaitCondVar(mCond, PR_INTERVAL_NO_TIMEOUT);
+       }
+       
+       if (mExitRequested)
+--- security/manager/ssl/src/nsSSLThread.cpp	2006-09-07 22:39:48.000000000 +0400
++++ security/manager/ssl/src/nsSSLThread.cpp.new	2007-05-15 17:04:35.000000000 +0400
+@@ -386,6 +386,8 @@
+       
+       close_later = PR_TRUE;
+       ssl_thread_singleton->mSocketScheduledToBeDestroyed = si;
++
++      PR_NotifyAllCondVar(ssl_thread_singleton->mCond);
+     }
+   }
+ 
+@@ -875,8 +877,7 @@
+         {
+           // no work to do ? let's wait a moment
+ 
+-          PRIntervalTime wait_time = PR_TicksPerSecond() / 4;
+-          PR_WaitCondVar(mCond, wait_time);
++          PR_WaitCondVar(mCond, PR_INTERVAL_NO_TIMEOUT);
+         }
+         
+       } while (!pending_work && !mExitRequested && !mSocketScheduledToBeDestroyed);




More information about the arch-commits mailing list